Skip to main content
GET
Get Gateway Endpoint Configuration By ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The unique resource identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Gateway Configuration

Represents a Gateway Config Object

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

created
string<date-time>

Time when Gateway Config object was created

Example:

"2010-05-06T12:23:34.321Z"

custom_headers
object

Optional parameter that allows to configure custom http headers for the Auth request to Gateway URL if needed

Example:
disabled
boolean
default:false

Indicates if the Gateway Config is active for Auth Flow for the current Fintech (Tenant)

id
string<uuid>

Identifier of the Gateway Config object

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

max_wait_ms
integer
default:1500

Shows maximum amount of time in milliseconds that we will wait for the response from Gateway URL Auth request

Required range: x >= 1
updated
string<date-time>

Time when Gateway Config object was updated

Example:

"2010-05-06T12:23:34.321Z"

url
string<url>

The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction

Example:

"https://fintech.com/ach/auth"